Lightstreamer.DotNetStandard.Client 6.1.0

dotnet add package Lightstreamer.DotNetStandard.Client --version 6.1.0
NuGet\Install-Package Lightstreamer.DotNetStandard.Client -Version 6.1.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Lightstreamer.DotNetStandard.Client" Version="6.1.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Lightstreamer.DotNetStandard.Client --version 6.1.0
#r "nuget: Lightstreamer.DotNetStandard.Client, 6.1.0"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Lightstreamer.DotNetStandard.Client as a Cake Addin
#addin nuget:?package=Lightstreamer.DotNetStandard.Client&version=6.1.0

// Install Lightstreamer.DotNetStandard.Client as a Cake Tool
#tool nuget:?package=Lightstreamer.DotNetStandard.Client&version=6.1.0

The Lightstreamer .Net Standard Client SDK allows to subscribe to real-time data pushed by a Lightstreamer server and to send any message to the server. The library offers automatic recovery from connection failures, automatic selection of the best available transport, and full decoupling of subscription and connection operations.

For the full documentation, see the docs.

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp3.0 was computed.  netcoreapp3.1 was computed. 
.NET Standard netstandard2.1 is compatible. 
MonoAndroid monoandroid was computed. 
MonoMac monomac was computed. 
MonoTouch monotouch was computed. 
Tizen tizen60 was computed. 
Xamarin.iOS xamarinios was computed. 
Xamarin.Mac xamarinmac was computed. 
Xamarin.TVOS xamarintvos was computed. 
Xamarin.WatchOS xamarinwatchos was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on Lightstreamer.DotNetStandard.Client:

Package Downloads
ActivTrader.Client.API

ActivTrader client API enables any .NET based application for bidirectional communication with the ActivTrader Platform through WebSockets. The client can execute all trading operations as well as to subscribe for market data updates. The Account state is updated through real time notifications.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
6.1.0 731 12/19/2023
6.0.1-a.90 75 10/9/2023
6.0.1-a.11 99 8/28/2023
6.0.0 815 7/11/2023
6.0.0-beta.3 227 6/22/2023
6.0.0-beta.2 141 4/5/2023
6.0.0-beta.1 145 3/14/2023
5.2.0-beta7 173 2/28/2023
5.2.0-beta6 170 2/16/2023
5.2.0-beta5 153 2/8/2023
5.2.0-beta4 181 1/31/2023
5.2.0-beta3 178 1/25/2023
5.2.0-beta2 182 1/18/2023
5.2.0-beta 176 1/11/2023
5.1.10 478 1/3/2024
5.1.9 127 12/12/2023
5.1.8 33,572 1/3/2023
5.1.7 6,229 11/28/2022
5.1.6 1,385 10/27/2022
5.1.5 947 8/18/2022
5.1.4 1,259 5/24/2022
5.1.3 1,887 5/16/2022
5.1.2 11,053 11/23/2021
5.1.1 787 8/10/2021
5.1.0 12,747 2/17/2021
5.0.5 6,613 6/16/2020
5.0.4 699 6/12/2020
5.0.3 691 6/3/2020
5.0.2 998 3/18/2020
5.0.1 686 3/17/2020
5.0.0 20,729 12/16/2019
5.0.0-beta 494 10/8/2019
4.0.0 11,932 10/11/2018